အကြောင်းအရာသို့ ကျော်ရန်

Depth Anything Video

ပေါင်းစည်းရန်

မော်ဒယ် id depth-anything-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/depth-anything-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

နမူနာကဲ့သို့ ဖိုင်များ: ၀.၄၀ $ ၄၀၀ API ခရက်ဒစ် လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
ByteDance ဗီဒီယိုမှ ဗီဒီယို 1080p အထိ #video-to-video#motion#edit

ထည့်သွင်းဗီဒီယိုအတွက် ဖရိမ်တစ်ခုချင်းစီ၏ အနက်မြေပုံများကို ခန့်မှန်းပေးပြီး အရွယ်အစား၊ အရောင်မြေပုံနှင့် ဘေးချင်းယှဉ်နှိုင်းယှဉ်မှု ရွေးချယ်စရာများ ပါဝင်သည်

ByteDance · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် video_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

အနက်ခန့်မှန်းရန် အသုံးပြုသည့် ဗီဒီယိုသို့ ညွှန်ပြသော URL။

resolution မူလ auto

ထွက်ရလဒ်အတွက် ရုပ်ထွက်အရည်အသွေး။ `auto` သည် ထည့်သွင်းချက်၏ ရုပ်ထွက်အရည်အသွေးကို 1080p အထိ ထိန်းသိမ်းသည်။ ရရှိနိုင်သောတန်ဖိုးများ: 'auto', '360p', '480p', '720p', '1080p'။

ဖရိမ် လုပ်ဆောင်မှုကန့်သတ်ချက်၊ 2400 ဖြင့် အများဆုံးကန့်သတ်ထားသည်။ None သတ်မှတ်ပါကလည်း ဖရိမ် 2400 အထိ ခွင့်ပြုသည်။

အဆင့်မြင့် model · colormap · output_fps · side_by_side · include_raw_depths
model မူလ VDA-Large

အနက်ခန့်မှန်းမော်ဒယ်၏ အရွယ်အစား။ VDA-Large သည် အရည်အသွေးအမြင့်ဆုံးဖြစ်ပြီး VDA-Small သည် အမြန်ဆုံးလုပ်ဆောင်သည်။

colormap မူလ grayscale

အနက်မြင်ကွင်းဖော်ပြသည့် palette: 'grayscale' သည် ပုံမှန်ပြုလုပ်ထားသော မူရင်းအနက်ကို ပြသသည်။ 'viridis' သည် အရောင်မမြင်သူများအတွက် သင့်လျော်သော မြင်ကွင်းကို ပေးပြီး 'inferno' သို့မဟုတ် 'magma' သည် အမြင်ခံစားမှု တစ်ပြေးညီမှုကို ပေးသည်။ အကြံပြုထားသော 'turbo' palette သည် နီးကပ်သောဒေသများကို နွေးသောအရောင်များ၊ ဝေးသောဒေသများကို အေးသောအရောင်များဖြင့် ဖော်ပြသည်။

ထွက်ရလဒ်ဗီဒီယို၏ ဖရိမ်နှုန်း။ None သတ်မှတ်ပါက ထည့်သွင်းဗီဒီယို၏ ဖရိမ်နှုန်းကို ထိန်းသိမ်းသည်။

POST /run/depth-anything-video?wait=20 ကုန်ကျစရိတ် → ၀.၄၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/depth-anything-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Depth Anything Video အကြောင်း

ဗီဒီယိုကို ဖရိမ်များတစ်လျှောက် တစ်ပြေးညီရလဒ်ရှိသော အနက်မြင်ကွင်းအဖြစ် ပြောင်းပေးသည်။ မော်ဒယ်အရွယ်အစား (VDA-Small, VDA-Base သို့မဟုတ် VDA-Large)၊ အရောင်မြေပုံ (grayscale, turbo, inferno, magma သို့မဟုတ် viridis) နှင့် 1080p အထိ ထွက်ရလဒ် `resolution` ကို ရွေးပါ။ `side_by_side` ဖြင့် မူရင်းဗီဒီယိုကို အနက်ဗီဒီယိုဘေးတွင် ထည့်ပြနိုင်သည်၊ `max_frames` (2400 အထိ) ဖြင့် ဖရိမ်များကို ကန့်သတ်နိုင်သည်၊ သို့မဟုတ် မူရင်းအနက်တန်ဖိုးများကို .npz ဖိုင်အဖြစ် ထုတ်နိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
video_urlလိုအပ်သည် video
အမျိုးအစားurl · video
အနက်ခန့်မှန်းရန် အသုံးပြုသည့် ဗီဒီယိုသို့ ညွှန်ပြသော URL။
modelရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးVDA-Large
VDA-SmallVDA-BaseVDA-Large
အနက်ခန့်မှန်းမော်ဒယ်၏ အရွယ်အစား။ VDA-Large သည် အရည်အသွေးအမြင့်ဆုံးဖြစ်ပြီး VDA-Small သည် အမြန်ဆုံးလုပ်ဆောင်သည်။
colormapရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးgrayscale
grayscaleturboinfernomagmaviridis
အနက်မြင်ကွင်းဖော်ပြသည့် palette: 'grayscale' သည် ပုံမှန်ပြုလုပ်ထားသော မူရင်းအနက်ကို ပြသသည်။ 'viridis' သည် အရောင်မမြင်သူများအတွက် သင့်လျော်သော မြင်ကွင်းကို ပေးပြီး 'inferno' သို့မဟုတ် 'magma' သည် အမြင်ခံစားမှု တစ်ပြေးညီမှုကို ပေးသည်။ အကြံပြုထားသော 'turbo' palette သည် နီးကပ်သောဒေသများကို နွေးသောအရောင်များ၊ ဝေးသောဒေသများကို အေးသောအရောင်များဖြင့် ဖော်ပြသည်။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto360p480p720p1080p
ထွက်ရလဒ်အတွက် ရုပ်ထွက်အရည်အသွေး။ `auto` သည် ထည့်သွင်းချက်၏ ရုပ်ထွက်အရည်အသွေးကို 1080p အထိ ထိန်းသိမ်းသည်။ ရရှိနိုင်သောတန်ဖိုးများ: 'auto', '360p', '480p', '720p', '1080p'။
max_framesရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
> ၀
ဖရိမ် လုပ်ဆောင်မှုကန့်သတ်ချက်၊ 2400 ဖြင့် အများဆုံးကန့်သတ်ထားသည်။ None သတ်မှတ်ပါကလည်း ဖရိမ် 2400 အထိ ခွင့်ပြုသည်။
output_fpsရွေးချယ်နိုင်သည်
အမျိုးအစားnumber | null
> ၀
ထွက်ရလဒ်ဗီဒီယို၏ ဖရိမ်နှုန်း။ None သတ်မှတ်ပါက ထည့်သွင်းဗီဒီယို၏ ဖရိမ်နှုန်းကို ထိန်းသိမ်းသည်။
side_by_sideရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
မူရင်းမြင်ကွင်းနှင့် အနက်မြင်ကွင်းကို ဘေးချင်းယှဉ်ပြသသည့် ဗီဒီယိုထွက်ရလဒ်ကို ထိန်းချုပ်သည်။
include_raw_depthsရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
`depths` [N,H,W], `min_depth`, `max_depth`, `fps`, `model`, နှင့် `shape` ပါဝင်သော .npz ဖိုင်သို့ မူရင်း float32 အနက်ဒေတာ တင်ပို့ခြင်းကို ထိန်းချုပ်သည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "depth-anything-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "raw_depths": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}အနက်ကို ပြသပြီး MP4 ဖော်မတ်တွင် H.264 ဖြင့် encode လုပ်ထားသော ဗီဒီယို။
raw_depths
object {url, content_type, file_name, file_size} | null`include_raw_depths` သည် True ဖြစ်သည့်အခါ ပေးပို့သော .npz ဖိုင်ရှိ မူရင်းအနက်ဒေတာ။

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/depth-anything-video.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt